> For the complete documentation index, see [llms.txt](https://docs.wetbot.space/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wetbot.space/api/data-types/wormhole.md).

# Wormhole

<details>

<summary>Свойства</summary>

[guildID](#guildid)

[wormholeID](#wormholeid)

[chance](#chance)

[itemID](#itemid)

[amountFrom](#amountfrom)

[amountTo](#amountto)

[deleteTimeOut](#deletetimeout)

[deleteAfterTouch](#deleteaftertouch)

[enabled](#enabled)

[styleID](#styleid)

[webhookId](#webhookid)

[threadId](#threadid)

[permission](#permission)

[name](#name)

[cronPattern](#cronpattern)

[runsLeft](#runsleft)

[disabled\_due\_to\_premium](#disabled_due_to_premium)

</details>

## Свойства

### [.guildID](#guildid)

ID сервера\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.wormholeID](#wormholeid)

ID червоточины\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.chance](#chance)

Шанс спавна червоточины\
Тип: [Number](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number)

***

### [.itemID](#itemid)

ID получаемого предмета с червоточины\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.amountFrom](#amountfrom)

Миниальное количество получаемого предмета с червоточины\
Тип: [Number](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number)

***

### [.amountTo](#amountto)

Максимальное количество получаемого предмета с червоточины\
Тип: [Number](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number)

***

### [.deleteTimeOut](#deletetimeout)

Таймаут удаления червоточины\
Тип: [Number](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number)

***

### [.deleteAfterTouch](#deleteaftertouch)

Сообщение с червоточиной удаляется\
Тип: [Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)

***

### [.enabled](#enabled)

Признак включения червоточины\
Тип: [Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)

***

### [.styleID](#styleid)

ID стиля червоточны\
Тип: ?[String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.webhookId](#webhookid)

ID вебхука червоточины\
Тип: ?[String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.threadId](#threadid)

ID ветки канала, где создан вебхук\
Тип: ?[String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.permission](#permission)

ID права червоточины\
Тип: ?[String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.name](#name)

Название червоточины\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.cronPattern](#cronpattern)

Крон паттерн\
Тип: [String](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)

***

### [.runsLeft](#runsleft)

Количество оставшихся спавнов червоточины\
Тип: [Number](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number)

***

### [.disabled\_due\_to\_premium](#disabled_due_to_premium)

Выключено из-за отсутствующего премиума\
Тип: [Boolean](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wetbot.space/api/data-types/wormhole.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
